/*
 * read single file: no alias expansion
 */

#include <fcntl.h>
#include <unistd.h>

int main(void)
{
	int fd = open("/etc/hostname", O_RDONLY);
	if (fd >= 0) {
		char b[64];
		read(fd, b, sizeof b);
		close(fd);
	}
	return 0;
}
